<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <p id="txt" class="txt">Some txt</p>
    <ul>
        <li>Lorem.</li>
        <li>Ea!</li>
        <li>Hic?</li>
        <li>Expedita!</li>
        <li>Totam!</li>
    </ul>
    <button id="btn">btn</button>
    <script>
        document.addEventListener('DOMContentLoaded', function() {
            let id = document.getElementById('txt');
            let cls = document.getElementsByClassName('txt');
            let tag = document.getElementsByTagName('p');
            let qS = document.querySelector('ul');
            let qSAll = document.querySelectorAll('li');
            console.log('id:', id, '\nclass:', cls, '\ntag:', tag, '\nquerySelector:', qS, '\nquerySelectorAll:', qSAll);
            
            qS.style.background = "green";
            console.log(qS.style);

            tag[0].innerText = "new text"
            console.log(tag[0].innerText);
            
            window.btn.addEventListener('click', () => {
                alert('click');
            })

            let h1 = document.createElement('h1');
            h1.innerText = "Header 1"
            h1.classList.add('h1');
            document.querySelector('body').appendChild(h1);
            setTimeout(() => {
                h1.remove();
            },2000);
        });
    </script>
</body>
</html>